Package com.independentsoft.office.word

# Class BookmarkRange

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.MarkupRange
com.independentsoft.office.word.BookmarkRange

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRangeMarkupElement`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathElement`, `ICellContent`, `IRowContent`

Direct Known Subclasses:
  `Bookmark`

public abstract class BookmarkRange extends MarkupRange
The Class BookmarkRange.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `firstColumn`
  `protected int`
  `lastColumn`

  ### Fields inherited from class com.independentsoft.office.word.MarkupRange

  `displacedByCustomXml`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BookmarkRange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract MarkupRange`
  `clone()`
  `int`
  `getFirstColumn()`
  Gets the first column.
  `int`
  `getLastColumn()`
  Gets the last column.
  `void`
  `setFirstColumn​(int firstColumn)`
  Sets the first column.
  `void`
  `setLastColumn​(int lastColumn)`
  Sets the last column.

  ### Methods inherited from class com.independentsoft.office.word.MarkupRange

  `getContentElements, getDisplacedByCustomXml, setDisplacedByCustomXml`

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### firstColumn

    protected int firstColumn

  - ### lastColumn

    protected int lastColumn

- ## Constructor Details

  - ### BookmarkRange

    public BookmarkRange()

- ## Method Details

  - ### clone

    public abstract MarkupRange clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRangeMarkupElement`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Specified by:
      `clone` in class `MarkupRange`

  - ### getFirstColumn

    public int getFirstColumn()
    Gets the first column.
    Returns:
      the first column

  - ### setFirstColumn

    public void setFirstColumn​(int firstColumn)
    Sets the first column.
    Parameters:
      `firstColumn` - the new first column

  - ### getLastColumn

    public int getLastColumn()
    Gets the last column.
    Returns:
      the last column

  - ### setLastColumn

    public void setLastColumn​(int lastColumn)
    Sets the last column.
    Parameters:
      `lastColumn` - the new last column